<?php
namespace App\Helpers\BootForm;


use Illuminate\Support\ServiceProvider;

class BootFormServiceProvider extends ServiceProvider {

    //permet d'enregistrer un nouveau service
    public function register(){

        /*permet de dire a laravelk lorsque on fera un make('bootform') il initialisera BootForm*/
        $this->app->bindIf('bootform',function ($app){
            //injection de la depandance
            return new BootForm($app['form'],$app['session']);
        });


    }
}
